現在時刻 - 2018年9月22日(土) 17:08



新しいトピックを投稿する トピックへ返信する  [ 6 件の記事 ] 
 プレビューが出来ない 
作成者 メッセージ

登録日時: 2011年2月14日(月) 16:51
記事: 3
投稿記事 プレビューが出来ない
FlashDevelopは使用したく、インストールしたのですが、プレビューをしようとするとエラーになってしまいます。

メッセージは下記のようなものが表示されるのすが、大まかには
「ターゲットファイルを指定する必要があります」的なものだと思うのですが、
どなたか解決策をご存知ないでしょうか?

コード:
Loading configuration file C:\Program Files (x86)\FlashDevelop\Tools\flexsdk\frameworks\flex-config.xml
Loading configuration file C:\Users\shinya\Desktop\obj\DesktopConfig.xml
Error: a target file must be specified
Use 'mxmlc -help' for information about using the command line.
Build halted with errors (fcsh).


何卒、宜しくお願い致します。


2011年2月14日(月) 17:48
プライベートメッセージ送信

登録日時: 2009年10月05日(月) 20:18
記事: 52
所在地: Japan
投稿記事 Re: プレビューが出来ない
おそらくメインとなるクラスがどれかを指定していないのではないでしょうか?

プロジェクトパネルを開き、
メインとなるクラスファイルを
「右クリック」→「コンパイル対象に指定(英語の場合は Always compile)」
を選択してください。

それと質問する場合は自分の環境を書きましょう。


2011年2月14日(月) 21:34
プライベートメッセージ送信 WWW

登録日時: 2011年2月14日(月) 16:51
記事: 3
投稿記事 Re: プレビューが出来ない
bkzen さま

ご返信、どうも有り難う御座います。
この度のエラーの件ですが、bkzenさまがご指示頂いた方法でも改善せず、再インストールした所、改善いたしました。

(具体的には、インストーラを通してflexSDKをダウンロードす際に不備があったようで、インストーラを通さずflexSDKをインストール・設定した所、動作しました。)



話は変わるかもしれませんが、進めているうちに別の点で引っかる所に遭遇しており困っているのですが、
個別のファイルをビルドする際は問題ないのですが、プロジェクトフォルダ上で【すべてのプロジェクトをビルド】を試してみると下記のような思ってもいないFlashPlayerのバージョンを指定(バージョン9)しているかのようなメッセージが出てきます。

※基本的にはFlashPlayerはバージョン10を使っており、こちらが解る限り設定も全てバージョン10にしております。

コード:
C:\Program Files (x86)\flex_sdk_4.1\frameworks\flex-config.xml(53): Error: unable to open 'libs/player/9.0/playerglobal.swc'
</external-library-path>
Build halted with errors (fcsh).



”flex-config.xml”の53行目の箇所がポイントなのだろうとは思いますが、書き換えてしまっても大丈夫なものなのでしょうか??

コード:
<external-library-path>
          <path-element>libs/player/{targetPlayerMajorVersion}.{targetPlayerMinorVersion}/playerglobal.swc</path-element>
</external-library-path>



何か原因がわかれば是非ともご教授頂ければと思います。
(勿論、推測だけでも有り難いです。)

何卒、宜しくお願いします。



ちなみに、こちらの環境は以下のような感じです。
・FlashDevelop 3.3.3 RTM
・flex_sdk_4.1
・Windows 7


2011年2月15日(火) 16:17
プライベートメッセージ送信

登録日時: 2009年10月05日(月) 20:18
記事: 52
所在地: Japan
投稿記事 Re: プレビューが出来ない
再インストールで解決したとのことでよかったです。
さて、次のエラーの件ですが、
コード:
C:\Program Files (x86)\flex_sdk_4.1\frameworks\flex-config.xml(53): Error: unable to open 'libs/player/9.0/playerglobal.swc'
</external-library-path>
Build halted with errors (fcsh).

このエラーは FlashPlayer9用 の playerglobal.swc が無いというエラーです。
FlexSDK4.1 以降には FlashPlayer9 対応の FlashPlayer9 用の globalplayer.swc が入っていません。
確認したところ自分の環境では 4.0.0.10485 が最後の FlashPlayer9 対応がされている FlexSDK のようです。
どこかに落ちているところがあればそこからダウンロードすればよさそうですが、残念ながら公式のダウンロードできるところが見当たりません・・・。
とりあえず設定で FlashPlayer10 では書き出せることを確認してみてください。

それと、 FlashDevelop3.3.3 RTM には、補完のバグがありましたので、
機会がありましたら 3.3.4 をインストールすることをお勧めします。


2011年2月16日(水) 10:56
プライベートメッセージ送信 WWW

登録日時: 2009年10月05日(月) 20:18
記事: 52
所在地: Japan
投稿記事 Re: プレビューが出来ない
先ほど clockmaker さんに Flex3.x であれば入っているのではとのことで教えていただきました。
http://opensource.adobe.com/wiki/display/flexsdk/Download+Flex+3
ここで FlexSDK 3 系は落とせるようです。
先ほど 3.5.0.12683 を確認したところ FlashPlayer9 用の playerglobal.swc があることを確認しました。


2011年2月16日(水) 11:20
プライベートメッセージ送信 WWW

登録日時: 2011年2月14日(月) 16:51
記事: 3
投稿記事 Re: プレビューが出来ない
bkzenさま

ご返信有難う御座います。

先の投稿に記載致しましたエラーに関して、詳しく教えて頂き感謝しております。
先程、Flex_sdkの3.5…バージョンを入れた所、無事に動作いたしました。

とても助かりました!
この度はどうも有難うございました。


2011年2月16日(水) 12:16
プライベートメッセージ送信
期間内表示:  ソート  
新しいトピックを投稿する トピックへ返信する  [ 6 件の記事 ] 


オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[2人]


トピック投稿: 不可
返信投稿: 不可
記事編集: 不可
記事削除: 不可
ファイル添付: 不可

ページ移動:  
cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by Vjacheslav Trushkin for Free Forums/DivisionCore.
Japanese translation principally by ocean